curl --request GET \
--url https://sandbox.cashfree.com/verification/form \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/verification/form"
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-id': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://sandbox.cashfree.com/verification/form', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get KYC Link Status
Use this API to get the status of the KYC link by passing verification_id or reference_id to get the KYC Link status.
Authorizations
Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.
The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.
Headers
Send the signature if two-factor authentication is selected as Public Key. More details.
Query Parameters
It is the unique ID you created to identify the KYC link.
"ABC00123"
It is the unique ID you receive in the response of Generate KYC Link API.
"235461"
Response
Response Body of VRS GetFormStatus API.
It displays the name of the individual.
"John Doe"
It displays the phone number of the individual.
9999999999
It displays the email address of the individual.
"test@cashfree.com"
It displays the unique ID you created to identify the form.
"testverificationid"
It displays the unique ID created by Cashfree Payments for reference purposes.
235461
It displays the expiry date of the link.
"2025-12-02"
It displays the URL of the form.
"https://forms.cashfree.com/"
It displays the status of the form.
"PENDING"
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Was this page helpful?